-- |
-- Module      :  O2Help
-- Copyright   :  (c) OleksandrZhabenko 2020
-- License     :  MIT
-- Stability   :  Experimental
-- Maintainer  :  olexandr543@yahoo.com
--
-- A program and a library to create experimental music
-- from a mono audio and a Ukrainian text.

{-# OPTIONS_GHC -threaded #-}

-- | The main function in the executable @O2help@. It converts its input (possibly multiline) to the output String and prints it to the stdout.
main :: IO ()
main = o2help

-- | Takes textual input from the stdin and prints it as one 'String' to the stdout.
o2help :: IO ()
o2help = do
  xs <- getContents
  let ys = unwords . lines $ xs in do
    putStrLn ""
    putStrLn "-------------------------------------------------------------------------------------------------------------"
    putStrLn ys
  
